LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XStorageRawAccess Interface Referencepublished

This interface represents main storage functionality. More...

`import"XStorageRawAccess.idl";`

## Public Member Functions
::com::sun::star::io::XInputStream | getPlainRawStreamElement ([in] string sStreamName) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to get a plain raw stream representing a package stream. More...
::com::sun::star::io::XInputStream | getRawEncrStreamElement ([in] string sStreamName) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::packages::NoEncryptionException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to get a raw stream representing encrypted stream with header. More...
void | insertRawEncrStreamElement ([in] string sStreamName, [in] ::com::sun::star::io::XInputStream xInStream) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::packages::NoRawFormatException, ::com::sun::star::container::ElementExistException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to insert a raw stream representing encrypted stream with header. More...

## Detailed Description

This interface represents main storage functionality.

## Member Function Documentation

## ◆ getPlainRawStreamElement()

::com::sun::star::io::XInputStream getPlainRawStreamElement | ( | [in] string | sStreamName | ) |
raises | ( | ::com::sun::star::embed::InvalidStorageException,
|  | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::container::NoSuchElementException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::embed::StorageWrappedTargetException
| ) |  |

allows to get a plain raw stream representing a package stream.

This method returns a stream from the package as it is stored there, without any decompression/description and etc. This method can be helpful to check file consistency, for example by signing.

Returns
  the raw representation of encrypted stream with all the data required to copy the stream without information loss

Parameters

  sStreamName | the name of the substream that should be open

Exceptions

  com::sun::star::embed::InvalidStorageException | this storage is in invalid state for any reason
  com::sun::star::lang::IllegalArgumentException | one of provided arguments is illegal
  com::sun::star::container::NoSuchElementException | there is no element with specified name
  com::sun::star::io::IOException | in case of io errors during stream opening
  com::sun::star::embed::StorageWrappedTargetException | wraps other exceptions

## ◆ getRawEncrStreamElement()

::com::sun::star::io::XInputStream getRawEncrStreamElement | ( | [in] string | sStreamName | ) |
raises | ( | ::com::sun::star::embed::InvalidStorageException,
|  | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::packages::NoEncryptionException,
|  | ::com::sun::star::container::NoSuchElementException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::embed::StorageWrappedTargetException
| ) |  |

allows to get a raw stream representing encrypted stream with header.

This method allows to transport encrypted streams without decryption. Mainly this method is introduced to allow to copy one encrypted storage stream to another without decryption. It is not recommended to use this method outside of storage implementation since different storages implementation could have different encryption format. If the method is used outside of storage implementation the user code is responsible to get sure that the raw format of source and target storages is the same.

The difference of this method from the previous one is that it handles only encrypted streams. The contents of returned by these methods streams can differ for the same entry, since this method can add additional data into the stream to allow successful insertion.

Parameters

  sStreamName | the name of the substream that should be open

Exceptions

  com::sun::star::embed::InvalidStorageException | this storage is in invalid state for any reason
  com::sun::star::lang::IllegalArgumentException | one of provided arguments is illegal
  com::sun::star::packages::NoEncryptionException | the stream is not an encrypted one
  com::sun::star::container::NoSuchElementException | there is no element with specified name
  com::sun::star::io::IOException | in case of io errors during stream opening
  com::sun::star::embed::StorageWrappedTargetException | wraps other exceptions

## ◆ insertRawEncrStreamElement()

void insertRawEncrStreamElement | ( | [in] string | sStreamName,
|  | [in] ::com::sun::star::io::XInputStream | xInStream
| ) |  |
raises | ( | ::com::sun::star::embed::InvalidStorageException,
|  | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::packages::NoRawFormatException,
|  | ::com::sun::star::container::ElementExistException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::embed::StorageWrappedTargetException
| ) |  |

allows to insert a raw stream representing encrypted stream with header.

This method allows to insert a stream retrieved by XStorageRawAccess::getRawEncrStreamElement() into a storage.

This method allows to transport encrypted streams without decryption. Mainly this method is introduced to allow to copy one encrypted storage stream to another without decryption. It is not recommended to use this method outside of storage implementation since different storages implementation could have different encryption format.

Parameters

  sStreamName | the name of the substream that should be open
  xInStream | a raw stream representing encrypted stream

Exceptions

  com::sun::star::embed::InvalidStorageException | this storage is in invalid state for any reason
  com::sun::star::lang::IllegalArgumentException | one of provided arguments is illegal
  com::sun::star::packages::NoRawFormatException | the stream is not one of raw package stream format
  com::sun::star::container::ElementExistException | an element with specified name already exists
  com::sun::star::io::IOException | in case of io errors during stream opening
  com::sun::star::embed::StorageWrappedTargetException | wraps other exceptions

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XStorageRawAccess.idl